stages:
  - staging
  - production

before_script:
  - apt-get update -qy
  - apt-get install -y ruby-dev
  - gem install dpl

maven-build:
  image: maven:latest
  stage: staging
  script: "mvn package -B"

maven-test:
  image: maven:latest
  stage: staging
  script: "mvn test -B"

staging:
  stage: staging
  image: ruby:latest
  script:
    - dpl --provider=heroku --app=$HEROKU_APP_STAGING --api-key=$HEROKU_API_KEY
  only:
    - staging

production:
  stage: production
  image: ruby:latest
  script:
    - dpl --provider=heroku --app=$HEROKU_APP_PRODUCTION --api-key=$HEROKU_API_KEY
  only:
    - main